using System;
using System.Collections.Generic;

namespace Model.Models
{
    /// <summary>
    /// 程序纯数据类（对应 UIShare.UIViewModel.ProgramModel）
    /// </summary>
    public class Program
    {
        public Guid ID { get; set; } = Guid.NewGuid();

        public IList<Step> StepCollection { get; set; } = new List<Step>();

        public IList<Step> ErrorStepCollection { get; set; } = new List<Step>();

        public IList<Parameter> Parameters { get; set; } = new List<Parameter>();
    }
}
